Subject: Re: [PATCH] powerpc: fix oops in pcibios_release_device() after pcibios_free_controller()

From: Mauricio Faria de Oliveira <[email-masked]>
Date: Wed, 13 Jul 2016 10:52:05 -0300

On 07/12/2016 08:07 PM, Mauricio Faria de Oliveira wrote:
> Can you clarify which are the devices that should be tracked w/ krefs to
> the PHB?

Last night I had forgotten about the fundamental point of krefs - track 
references to pointers - and this answers the question.

I'm looking at the holders of pointers to the phb struct, and it seems
I wasn't too far off w/ the child buses and devices idea -- as the root 
bus (phb->bus) is assigned the phb pointer in the bus->sysdata field,
and it's inherited from parent by child buses and devices.

I'll continue here. Comments always welcome.

-- 
Mauricio Faria de Oliveira
IBM Linux Technology Center